Uses of Interface
com.eqixiac.equinix.core.http.response.Pageable
Packages that use Pageable
Package
Description
Core client infrastructure for the Equinix Java SDK.
HTTP communication layer for the Equinix Java SDK.
HTTP response handling for the Equinix Java SDK.
Core model interfaces and base types for the Equinix Java SDK.
Internal transport helpers shared by the Fabric Beta clients; not part of the public API.
-
Uses of Pageable in com.eqixiac.equinix.core.client
Classes in com.eqixiac.equinix.core.client that implement PageableModifier and TypeClassDescriptionclassResourceClientBase<M,J> Generic base for internal resource clients, collapsing the request-build -> invoke -> response-handle boilerplate that was previously copy-pasted across every*ClientImpl. -
Uses of Pageable in com.eqixiac.equinix.core.http
Methods in com.eqixiac.equinix.core.http with parameters of type PageableModifier and TypeMethodDescriptionstatic <T,S> List <T> ResponseHandler.mapList(List<S> itemList, Pageable<T> serviceClient, BiFunction<? super S, ? super Pageable<T>, ? extends T> objectMapper) static <T,S> PaginatedList <T> ResponseHandler.mapPaginatedList(List<S> paginatedList, Pageable<T> serviceClient, BiFunction<? super S, ? super Pageable<T>, ? extends T> objectMapper) static <T,S> PaginatedList <T> ResponseHandler.toPaginatedList(Page<S> page, Pageable<T> serviceClient, BiFunction<? super S, ? super Pageable<T>, ? extends T> objectMapper) Builds a fully-populatedPaginatedListfrom a deserializedPagein one step: maps each JSON item to its model wrapper and attaches the page's request/response/pagination for lazy paging.Method parameters in com.eqixiac.equinix.core.http with type arguments of type PageableModifier and TypeMethodDescriptionstatic <T,S> List <T> ResponseHandler.mapList(List<S> itemList, Pageable<T> serviceClient, BiFunction<? super S, ? super Pageable<T>, ? extends T> objectMapper) static <T,S> PaginatedList <T> ResponseHandler.mapPaginatedList(List<S> paginatedList, Pageable<T> serviceClient, BiFunction<? super S, ? super Pageable<T>, ? extends T> objectMapper) static <T,S> PaginatedList <T> ResponseHandler.toPaginatedList(Page<S> page, Pageable<T> serviceClient, BiFunction<? super S, ? super Pageable<T>, ? extends T> objectMapper) Builds a fully-populatedPaginatedListfrom a deserializedPagein one step: maps each JSON item to its model wrapper and attaches the page's request/response/pagination for lazy paging. -
Uses of Pageable in com.eqixiac.equinix.core.http.response
Subinterfaces of Pageable in com.eqixiac.equinix.core.http.responseModifier and TypeInterfaceDescriptioninterfacePageablePost<T>A client that can fetch the next page of a POST-based search and map the response.Constructors in com.eqixiac.equinix.core.http.response with parameters of type PageableModifierConstructorDescriptionPaginatedList(Iterable<? extends T> initialItems, Pageable<T> pageableClient, EquinixRequest<?> equinixRequest, EquinixResponse<?> equinixResponse, Pagination pagination) -
Uses of Pageable in com.eqixiac.equinix.core.model
Methods in com.eqixiac.equinix.core.model that return Pageable -
Uses of Pageable in com.eqixiac.equinix.customerportal.client.internal
Subinterfaces of Pageable in com.eqixiac.equinix.customerportal.client.internalModifier and TypeInterfaceDescriptioninterfaceAssetClient<T>interfaceinterfaceinterfaceinterfaceinterfaceinterfaceOrderClient<T>interfaceQuoteClient<T>interfaceReportClient<T>interfaceinterface -
Uses of Pageable in com.eqixiac.equinix.customerportal.client.internal.implementation
Classes in com.eqixiac.equinix.customerportal.client.internal.implementation that implement PageableModifier and TypeClassDescriptionclassclassclassclassclassclassclassclassclassclassclass -
Uses of Pageable in com.eqixiac.equinix.customerportal.model.wrappers
Constructors in com.eqixiac.equinix.customerportal.model.wrappers with parameters of type PageableModifierConstructorDescriptionAttachmentWrapper(AttachmentJson attachmentJson, Pageable<Attachment> serviceClient) InvoiceDetailWrapper(InvoiceDetailJson invoiceDetailJson, Pageable<InvoiceDetail> serviceClient) InvoiceSummaryWrapper(InvoiceSummaryJson invoiceSummaryJson, Pageable<InvoiceSummary> serviceClient) OrderWrapper(OrderJson orderJson, Pageable<Order> serviceClient) QuoteWrapper(QuoteJson quoteJson, Pageable<Quote> serviceClient) TroubleTicketWrapper(TroubleTicketJson troubleTicketJson, Pageable<TroubleTicket> serviceClient) -
Uses of Pageable in com.eqixiac.equinix.fabric.beta.client.internal
Classes in com.eqixiac.equinix.fabric.beta.client.internal that implement PageableModifier and TypeClassDescriptionclassInternal resource client for one Fabric Beta response type. -
Uses of Pageable in com.eqixiac.equinix.fabric.client.internal
Subinterfaces of Pageable in com.eqixiac.equinix.fabric.client.internalModifier and TypeInterfaceDescriptioninterfaceAgentClient<T>interfaceinterfaceinterfaceInternal client for Fabric Cloud Router route-table / BGP-session actions.interfaceinterfaceinterfaceinterfaceinterfaceinterfaceinterfaceHealthClient<T>interfaceinterfaceinterfaceMetricClient<T>MetricClient interface.interfaceMetroClient<T>interfaceinterfacePortClient<T>interfaceinterfaceinterfaceInternal client for Fabric Route Aggregation attachments.interfaceinterfaceinterfaceInternal client for Fabric Route Filter attachments.interfaceinterfaceinterfaceInternal client for searching read-only route table entries.interfaceinterfaceinterfaceinterfaceinterfaceinterfaceStreamClient<T>interfaceinterfaceTagClient<T> -
Uses of Pageable in com.eqixiac.equinix.fabric.client.internal.implementation
Classes in com.eqixiac.equinix.fabric.client.internal.implementation that implement PageableModifier and TypeClassDescriptionclassclassInternal client for Fabric Agent Templates (read-only).classInternal client for Fabric Cloud Events (read-only).classInternal client for Fabric Cloud Router actions (route-table / BGP-session updates).classclassInternal client for Fabric Cloud Router diagnostic commands (ping / traceroute).classInternal client for Fabric Cloud Router packages (read-only).classclassInternal client for Fabric Connections.classclassclassclassInternal client for Fabric Marketplace Subscriptions (read-only).classInternal client for the Fabric Metrics search API (POST /fabric/v4/metrics/search).classInternal client for Fabric Metros (read-only).classclassInternal client for Fabric Ports.classclassclassInternal client for Fabric Route Aggregation attachments.classclassclassInternal client for Fabric Route Filter attachments.classclassclassInternal client for searching read-only route table entries.classclassInternal client for Fabric Service Profiles.classInternal client for Fabric Service Tokens.classclassInternal client for Fabric Stream Assets (attach / detach / get an asset to/from a stream).classclassclassInternal client for Fabric resource tags. -
Uses of Pageable in com.eqixiac.equinix.fabric.model.json.creators
Constructors in com.eqixiac.equinix.fabric.model.json.creators with parameters of type PageableModifierConstructorDescriptionPrecisionTimeOperator(Pageable<PrecisionTime> serviceClient) RouteAggregationOperator(Pageable<RouteAggregation> serviceClient) RouteAggregationRuleOperator(Pageable<RouteAggregationRule> serviceClient, String routeAggregationId) RouteFilterRuleOperator(Pageable<RouteFilterRule> serviceClient, String routeFilterId) RoutingProtocolOperator(Pageable<RoutingProtocol> serviceClient) ServiceTokenOperator(Pageable<ServiceToken> serviceClient) StreamAlertRuleOperator(Pageable<StreamAlertRule> serviceClient) StreamOperator(Pageable<Stream> serviceClient) StreamSubscriptionOperator(Pageable<StreamSubscription> serviceClient) -
Uses of Pageable in com.eqixiac.equinix.fabric.model.wrappers
Constructors in com.eqixiac.equinix.fabric.model.wrappers with parameters of type PageableModifierConstructorDescriptionAgentWrapper(AgentJson jsonObject, Pageable<Agent> serviceClient) CloudRouterWrapper(CloudRouterJson cloudRouterJson, Pageable<CloudRouter> serviceClient) CompanyProfileWrapper(CompanyProfileJson jsonObject, Pageable<CompanyProfile> serviceClient) ConnectionWrapper(ConnectionJson portJson, Pageable<Connection> serviceClient) EiaServiceWrapper(EiaServiceJson eiaServiceJson, Pageable<EiaService> serviceClient) GatewayPackageWrapper(GatewayPackageJson gatewayPackageJson, Pageable<GatewayPackage> serviceClient) IpBlockWrapper(IpBlockJson ipBlockJson, Pageable<IpBlock> serviceClient) MetroWrapper(MetroJson metroJson, Pageable<Metro> serviceClient) NetworkWrapper(NetworkJson networkJson, Pageable<Network> serviceClient) PortWrapper(PortJson portJson, Pageable<Port> serviceClient) PrecisionTimeWrapper(PrecisionTimeJson precisionTimeJson, Pageable<PrecisionTime> serviceClient) PricingWrapper(PricingJson pricingJson, Pageable<Pricing> serviceClient) RouteAggregationRuleWrapper(RouteAggregationRuleJson routeAggregationRuleJson, Pageable<RouteAggregationRule> serviceClient) RouteAggregationWrapper(RouteAggregationJson routeAggregationJson, Pageable<RouteAggregation> serviceClient) RouteFilterRuleWrapper(RouteFilterRuleJson routeFilterRuleJson, Pageable<RouteFilterRule> serviceClient) RouteFilterWrapper(RouteFilterJson routeFilterJson, Pageable<RouteFilter> serviceClient) RoutingProtocolWrapper(RoutingProtocolJson routingProtocolJson, Pageable<RoutingProtocol> serviceClient) ServiceProfileWrapper(ServiceProfileJson jsonObject, Pageable<ServiceProfile> serviceProfileClient) ServiceTokenWrapper(ServiceTokenJson serviceTokenJson, Pageable<ServiceToken> serviceClient) StreamAlertRuleWrapper(StreamAlertRuleJson jsonObject, Pageable<StreamAlertRule> serviceClient) StreamSubscriptionWrapper(StreamSubscriptionJson streamSubscriptionJson, Pageable<StreamSubscription> serviceClient) StreamWrapper(StreamJson streamJson, Pageable<Stream> serviceClient) -
Uses of Pageable in com.eqixiac.equinix.ibxsmartview.client.internal
Subinterfaces of Pageable in com.eqixiac.equinix.ibxsmartview.client.internalModifier and TypeInterfaceDescriptioninterfaceinterfaceinterfaceinterfaceMethods in com.eqixiac.equinix.ibxsmartview.client.internal that return Pageable -
Uses of Pageable in com.eqixiac.equinix.ibxsmartview.client.internal.implementation
Classes in com.eqixiac.equinix.ibxsmartview.client.internal.implementation that implement PageableModifier and TypeClassDescriptionclassclassclassclassMethods in com.eqixiac.equinix.ibxsmartview.client.internal.implementation that return PageableModifier and TypeMethodDescriptionPowerEventClientImpl.alertConfigurationPageable()Returns aPageablededicated to paging power alert configurations. -
Uses of Pageable in com.eqixiac.equinix.ibxsmartview.model.json.creators
Constructors in com.eqixiac.equinix.ibxsmartview.model.json.creators with parameters of type PageableModifierConstructorDescriptionPowerAlertConfigurationOperator(Pageable<PowerEvent> serviceClient) StreamingSubscriptionOperator(Pageable<StreamingSubscription> serviceClient) -
Uses of Pageable in com.eqixiac.equinix.ibxsmartview.model.wrappers
Constructors in com.eqixiac.equinix.ibxsmartview.model.wrappers with parameters of type PageableModifierConstructorDescriptionSensorReadingWrapper(SensorReadingJson sensorReadingJson, Pageable<SensorReading> serviceClient) StreamingSubscriptionWrapper(StreamingSubscriptionJson streamingSubscriptionJson, Pageable<StreamingSubscription> serviceClient) -
Uses of Pageable in com.eqixiac.equinix.internetaccess.client.internal
Subinterfaces of Pageable in com.eqixiac.equinix.internetaccess.client.internalModifier and TypeInterfaceDescriptioninterfaceInternal client for the Equinix Internet Access (EIA) v1 account lookups:GET /internetAccess/v1/accounts,GET /internetAccess/v1/accounts/{accountNumber}andGET /internetAccess/v1/accounts/{accountNumber}/agreements.interfaceInternal client for the Equinix Internet Access (EIA) v1 product-availability lookup:GET /internetAccess/v1/cabinets- the cabinets a customer has, optionally narrowed by cage, IBX and account.interfaceInternal client for the Equinix Internet Access (EIA) v1 product-availability lookup:GET /internetAccess/v1/cages- the cages a customer has in a given IBX.interfaceInternal client for the Equinix Internet Access (EIA) v1 product-availability lookup:GET /internetAccess/v1/connectionServices- the connection services available at a given IBX.interfaceInternal client for the Equinix Internet Access (EIA) v1 customer-route-configuration lookup:GET /internetAccess/v1/customerRouteConfigurations- the allowed customer-route configurations for a given use case, redundancy and routing-protocol type.interfaceInternal client for the Equinix Internet Access (EIA) v1 dedicated-bandwidth-configuration lookup:GET /internetAccess/v1/dedicatedBandwidthConfigurations- the allowed dedicated-bandwidth configurations for a given use case, billing model and physical-port speed.interfaceInternal client for the Equinix Internet Access (EIA) v1 dedicated-port default-configuration lookup:GET /internetAccess/v1/dedicatedPortDefaultConfigurations- the default dedicated-port configurations for a given IBX.interfaceInternal client for the Equinix Internet Access (EIA) v2 product-availability lookup:GET /internetAccess/v2/ibxs- the IBXs where EIA is available for a given service connection type.interfaceInternal client for the Equinix Internet Access (EIA) v2 service lifecycle:POST /internetAccess/v2/services(create),GET /internetAccess/v2/services/{serviceId}(get details),PATCH /internetAccess/v2/services/{serviceId}(update),DELETE /internetAccess/v2/services/{serviceId}(delete) andPOST /internetAccess/v2/services/search(search).interfaceInternal client for the Equinix Internet Access (EIA) v1 operational-units lookup:GET /internetAccess/v1/operationalUnits.interfaceInternal client for the Equinix Internet Access (EIA) v1 product-availability lookup:GET /internetAccess/v1/patchPanels- the patch panels a customer has in a given cage and cabinet.interfaceInternal client for the Equinix Internet Access (EIA) v1 port-configuration lookup:GET /internetAccess/v1/portConfigurations- the allowed port configurations for a given IBX and use case.interfaceInternal client for the Equinix Internet Access (EIA) v1 price search:POST /internetAccess/v1/prices/search.interfaceInternal client for the Equinix Internet Access (EIA) v1 purchase-order lookups:GET /internetAccess/v1/accounts/{accountNumber}/purchaseOrders(list) andGET /internetAccess/v1/accounts/{accountNumber}/purchaseOrders/{number}(single get).interfaceInternal client for the Equinix Internet Access (EIA) v1 routing-configuration lookup:GET /internetAccess/v1/routingProtocolConfigurations- the allowed routing-protocol configurations for a given use case and redundancy.interfaceInternal client for the Equinix Internet Access (EIA) v1 signature-policies lookup:GET /internetAccess/v1/signaturePolicies.interfaceInternal client for the Equinix Internet Access (EIA) v1 terms-and-conditions lookup:GET /internetAccess/v1/terms.interfaceInternal client for the Equinix Internet Access (EIA) v1 virtual-bandwidth-configuration lookup:GET /internetAccess/v1/virtualBandwidthConfigurations- the allowed virtual-bandwidth configurations for a given use case and billing model.interfaceInternal client for the Equinix Internet Access (EIA) v1 virtual-connection default-configuration lookup:GET /internetAccess/v1/virtualConnectionDefaultConfigurations- the default virtual-connection configurations for a given IBX and metro. -
Uses of Pageable in com.eqixiac.equinix.internetaccess.client.internal.implementation
Classes in com.eqixiac.equinix.internetaccess.client.internal.implementation that implement PageableModifier and TypeClassDescriptionclassInternal client implementation for the Equinix Internet Access (EIA) v1 account lookups (GET /internetAccess/v1/accounts,GET /internetAccess/v1/accounts/{accountNumber}andGET /internetAccess/v1/accounts/{accountNumber}/agreements).classInternal client implementation for the Equinix Internet Access (EIA) v1 product-availability lookupGET /internetAccess/v1/cabinets.classInternal client implementation for the Equinix Internet Access (EIA) v1 product-availability lookupGET /internetAccess/v1/cages.classInternal client implementation for the Equinix Internet Access (EIA) v1 product-availability lookupGET /internetAccess/v1/connectionServices.classInternal client implementation for the Equinix Internet Access (EIA) v1 customer-route-configuration lookupGET /internetAccess/v1/customerRouteConfigurations.classInternal client implementation for the Equinix Internet Access (EIA) v1 dedicated-bandwidth-configuration lookupGET /internetAccess/v1/dedicatedBandwidthConfigurations.classInternal client implementation for the Equinix Internet Access (EIA) v1 dedicated-port default-configuration lookupGET /internetAccess/v1/dedicatedPortDefaultConfigurations.classInternal client implementation for the Equinix Internet Access (EIA) v2 product-availability lookupGET /internetAccess/v2/ibxs.classInternal client implementation for the Equinix Internet Access (EIA) v1 single-IBX getGET /internetAccess/v1/ibxs/{ibx}.classInternal client implementation for the Equinix Internet Access (EIA) v2 service lifecycle.classInternal client implementation for the Equinix Internet Access (EIA) v1 operational-units lookupGET /internetAccess/v1/operationalUnits.classInternal client implementation for the Equinix Internet Access (EIA) v1 order single getGET /internetAccess/v1/orders/{orderUUID}.classInternal client implementation for the Equinix Internet Access (EIA) v1 product-availability lookupGET /internetAccess/v1/patchPanels.classInternal client implementation for the Equinix Internet Access (EIA) v1 port-configuration lookupGET /internetAccess/v1/portConfigurations.classInternal client implementation for the Equinix Internet Access (EIA) v1 price searchPOST /internetAccess/v1/prices/search.classInternal client implementation for the Equinix Internet Access (EIA) v1 purchase-order lookupsGET /internetAccess/v1/accounts/{accountNumber}/purchaseOrders(list) andGET /internetAccess/v1/accounts/{accountNumber}/purchaseOrders/{number}(single get).classInternal client implementation for the Equinix Internet Access (EIA) v1 routing-configuration lookupGET /internetAccess/v1/routingProtocolConfigurations.classInternal client implementation for the Equinix Internet Access (EIA) v1 signature-policies lookupGET /internetAccess/v1/signaturePolicies.classInternal client implementation for the Equinix Internet Access (EIA) v1 terms-and-conditions lookupGET /internetAccess/v1/terms.classInternal client implementation for the Equinix Internet Access (EIA) v1 virtual-bandwidth-configuration lookupGET /internetAccess/v1/virtualBandwidthConfigurations.classInternal client implementation for the Equinix Internet Access (EIA) v1 virtual-connection default-configuration lookupGET /internetAccess/v1/virtualConnectionDefaultConfigurations. -
Uses of Pageable in com.eqixiac.equinix.networkedge.client.internal
Subinterfaces of Pageable in com.eqixiac.equinix.networkedge.client.internalModifier and TypeInterfaceDescriptioninterfaceinterfaceinterfaceBackupClient<T>interfaceinterfaceDeviceClient<T>interfaceinterfaceinterfaceMetroClient<T>interfaceinterfaceVPNClient<T> -
Uses of Pageable in com.eqixiac.equinix.networkedge.client.internal.implementation
Classes in com.eqixiac.equinix.networkedge.client.internal.implementation that implement PageableModifier and TypeClassDescriptionclassclassclassInternal client for Network Edge device Backups.classclassclassclassclassclassclass -
Uses of Pageable in com.eqixiac.equinix.networkedge.model.json.creators
Constructors in com.eqixiac.equinix.networkedge.model.json.creators with parameters of type PageableModifierConstructorDescriptionACLTemplateOperator(Pageable<ACLTemplate> serviceClient) BackupOperator(Pageable<Backup> serviceClient) BGPPeeringOperator(Pageable<BGPPeering> serviceClient) DeviceLinkOperator(Pageable<DeviceLink> serviceClient) DeviceOperator(Pageable<Device> serviceClient) PublicKeyOperator(Pageable<PublicKey> serviceClient) VPNOperator(Pageable<VPN> serviceClient) -
Uses of Pageable in com.eqixiac.equinix.networkedge.model.wrappers
Constructors in com.eqixiac.equinix.networkedge.model.wrappers with parameters of type PageableModifierConstructorDescriptionAccountWrapper(AccountJson accountJson, Pageable<Account> serviceClient) ACLTemplateWrapper(ACLTemplateJson sshUserJson, Pageable<ACLTemplate> serviceClient) BackupWrapper(BackupJson deviceLinkJson, Pageable<Backup> serviceClient) BGPPeeringWrapper(BGPPeeringJson sshUserJson, Pageable<BGPPeering> serviceClient) DeviceLinkWrapper(DeviceLinkJson deviceLinkJson, Pageable<DeviceLink> serviceClient) DeviceTypeWrapper(DeviceTypeJson deviceTypeJson, Pageable<DeviceType> serviceClient) DeviceWrapper(DeviceJson deviceJson, Pageable<Device> serviceClient) MetroWrapper(MetroJson accountJson, Pageable<Metro> serviceClient) PublicKeyWrapper(PublicKeyJson publicKeyJson, Pageable<PublicKey> serviceClient) RestoreFeasibilityWrapper(RestoreFeasibilityJson json, Pageable<Backup> serviceClient) VPNWrapper(VPNJson sshUserJson, Pageable<VPN> serviceClient) -
Uses of Pageable in com.eqixiac.equinix.projects.client.internal
Subinterfaces of Pageable in com.eqixiac.equinix.projects.client.internalModifier and TypeInterfaceDescriptioninterfaceInternal client for the read-only Equinix Resource Manager projects endpoint. -
Uses of Pageable in com.eqixiac.equinix.projects.client.internal.implementation
Classes in com.eqixiac.equinix.projects.client.internal.implementation that implement PageableModifier and TypeClassDescriptionclassInternal client for the read-only Equinix Resource Manager projects endpoint (GET /resourceManager/v2/projects).